DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# GradientDirection2D

Derivative filter

## SYNOPSIS

`#include "dip_derivatives.h"`

dip_Error dip_GradientDirection2D ( in, out, boundary, ps, sigmas, tc, atanFlavour, flavour )

## DATA TYPES

Depends on the underlying implementation, but expect:

binary, integer, float

## FUNCTION

Computes the gradient direction of an image using the `Derivative` function. This functions supports only two dimensional images.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output
`dip_BoundaryArray` | `boundary` | Boundary conditions
`dip_BooleanArray` | `ps` | Dimensions to process
`dip_FloatArray` | `sigmas` | Sigma of Gaussian
`dip_float` | `tc` | Truncation of Gaussian
`dip_GradientDirectionAtanFlavour` | `atanFlavour` | Atan flavour
`dip_DerivativeFlavour` | `flavour` | Derivative flavour

The enumerator `flavour` parameter is one of:

Name | Description
`DIP_DF_DEFAULT` | Default derivative flavour (==`DIP_DF_FIRGAUSS`)
`DIP_DF_FIRGAUSS` | Gaussian family, FIR implementation, `Gauss`
`DIP_DF_IIRGAUSS` | Gaussian family, IIR implementation, `GaussIIR`
`DIP_DF_FTGAUSS` | Gaussian family, FT implementation, `GaussFT`
`DIP_DF_FINITEDIFF` | Finite difference implementation, `FiniteDifferenceEx`

## SEE ALSO

See section 9.5, "Derivative-based operations", in "Fundamentals of Image Processing".

`Derivative`, `GradientMagnitude`, `Laplace`, `Dgg`, `LaplacePlusDgg`, `LaplaceMinDgg`

DIPlib on-line documentation | Function reference | Global function index